# Entitlement

## **EARLY RELEASE NOTICE**

This class represents a draft that is designed to inform the OpenActive specification work with implementation feedback. IT IS STILL SUBJECT TO CHANGE, as the [Customer Accounts proposal](https://github.com/openactive/customer-accounts) evolves.

## **Properties**

### **Optional properties**

| Property              | Expected Type                                                                                                                              | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| @type                 | [`Text`](https://schema.org/Text)                                                                                                          | Must always be present and set to `"@type": "Entitlement"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| entitlementType       | <p><a href="https://developer.openactive.io/data-model/types/concept"><code>Concept</code></a><br>- or -<br><code>@id</code> reference</p> | <p>For the request, this is the value of the @id of the Concept being referenced. For the response, this the full Concept object including the @id and prefLabel.</p><p><br>Example</p><p><code>"entitlementType": {</code><br>  <code>"@type": "Concept",</code><br>  <code>"@id": "<https://data.mcractive.com/openactive/entitlement-list#5e78bcbe-36db-425a-9064-bf96d09cc351>",</code><br>  <code>"prefLabel": "MCRactive Adult Resident",</code><br>  <code>"inScheme": "<https://data.mcractive.com/openactive/entitlement-list>"</code><br><code>}</code></p> |
| evidenceRequestAction | [`Action`](https://developer.openactive.io/data-model/types/action)                                                                        | Any evidence request associated with the entitlement.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| validFrom             | [`Date`](https://schema.org/Date)                                                                                                          | The date the entitlement becomes valid. This must be in the past.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| validUntil            | [`Date`](https://schema.org/Date)                                                                                                          | The date that the entitlement is no longer valid. This must be in the future.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |

Except as otherwise noted, the content of this page is licensed under the [Creative Commons Attribution License (CC-BY V4.0)](https://creativecommons.org/licenses/by/4.0/), and code samples are licensed under the [MIT License](https://opensource.org/licenses/MIT), for anyone to access, use and share; using attribution "[OpenActive](https://www.openactive.io/)".


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.openactive.io/data-model/types/entitlement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
